var $AdfDhtmlInputNumberSpinboxBasePeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlInputBasePeer$$, "AdfDhtmlInputNumberSpinboxBasePeer");
$goog$exportSymbol$$("AdfDhtmlInputNumberSpinboxBasePeer", $AdfDhtmlInputNumberSpinboxBasePeer$$);
$AdfDhtmlInputNumberSpinboxBasePeer$$.$InitSubclass$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichInputNumberSpinbox.LABEL);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichInputNumberSpinbox.LABEL);
  this.$_LEAD_ZERO$ = "_adfLeadingZero";
};
$goog$exportSymbol$$("AdfDhtmlInputNumberSpinboxBasePeer.InitSubclass", $AdfDhtmlInputNumberSpinboxBasePeer$$.$InitSubclass$);
$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$getLeadingZero$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$$getLeadingZero$$() {
  return this.$getDomElement$().getAttribute($AdfDhtmlInputNumberSpinboxBasePeer$$.$_LEAD_ZERO$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxBasePeer.prototype.getLeadingZero", {$getLeadingZero$:$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$getLeadingZero$});
$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$$SetDisplayValue$$($component$$1383_domNode$$43$$, $domElement$$282_tmp$$, $newValue$$92$$) {
  $AdfAssert$$.$assertString$($newValue$$92$$);
  this.$getLeadingZero$() && ($domElement$$282_tmp$$ = parseFloat($newValue$$92$$), !isNaN($domElement$$282_tmp$$) && 10 > $domElement$$282_tmp$$ && ($newValue$$92$$ = "0" + $domElement$$282_tmp$$));
  $component$$1383_domNode$$43$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1383_domNode$$43$$);
  "INPUT" == $component$$1383_domNode$$43$$.tagName ? ($component$$1383_domNode$$43$$.value = $newValue$$92$$, $component$$1383_domNode$$43$$.title = $newValue$$92$$) : $AdfAgent$$.$AGENT$.$setTextContent$($component$$1383_domNode$$43$$, $newValue$$92$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxBasePeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$LazyInitialize$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$$LazyInitialize$$($component$$1384$$, $domElement$$283$$) {
  $AdfDhtmlInputNumberSpinboxBasePeer$$.$superclass$.$LazyInitialize$.call(this, $component$$1384$$, $domElement$$283$$);
  this.$_createClientSideValidator$($component$$1384$$, $domElement$$283$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxBasePeer.prototype.LazyInitialize", {$LazyInitialize$:$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$LazyInitialize$});
$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$ShouldShowHint$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$$ShouldShowHint$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxBasePeer.prototype.ShouldShowHint", {$ShouldShowHint$:$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$ShouldShowHint$});
$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$GetValidatorHints$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$$GetValidatorHints$$() {
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSpinboxBasePeer.prototype.GetValidatorHints", {$GetValidatorHints$:$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$GetValidatorHints$});
$AdfDhtmlInputNumberSpinboxBasePeer$$.prototype.$_createClientSideValidator$ = function $$AdfDhtmlInputNumberSpinboxBasePeer$$$$$_createClientSideValidator$$($component$$1387$$, $domElement$$285$$) {
  $AdfAssert$$.$assertDomElement$($domElement$$285$$);
  var $min$$9_rangeValidator$$2$$ = $component$$1387$$.getMinimum(), $max$$7$$ = $component$$1387$$.getMaximum();
  void 0 !== $AdfPage$$.$PAGE$.$getDomWindow$().TrRangeValidator && ($min$$9_rangeValidator$$2$$ = new TrRangeValidator($max$$7$$, $min$$9_rangeValidator$$2$$, null), $component$$1387$$.$addValidator$($min$$9_rangeValidator$$2$$));
};
